package org.rcisoft.business.bcourse.service;

import org.rcisoft.business.bcourse.dto.AllCourseDTO;
import org.rcisoft.business.bcourse.dto.QueryCourseResDTO;
import org.rcisoft.business.bcourse.entity.BCourse;
import org.rcisoft.core.aop.PageUtil;
import org.rcisoft.core.model.PersistModel;

import java.util.List;

public interface BCourseService {


    List<QueryCourseResDTO> queryBCourse(BCourse bCourse);

    List<QueryCourseResDTO> queryBCourseByPagination(PageUtil pageUtil, BCourse bCourse);

    PersistModel insertCourse(BCourse bCourse);

    PersistModel removeCourse(String corpId,String id);

    PersistModel updateCourse(BCourse bCoursee);

    PersistModel sortCourse(String json);

    /**
     * 查询所有分类放入List中
     * @return
     */
    List<AllCourseDTO> findAllCourse(String corpId);


}
