package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Set;

@Data
public class AppointLessonDTO {

    @ApiModelProperty(value = "课程Id",required = true)
    private String lessonId;

    @ApiModelProperty(value = "指派范围（人id）多人之间用','隔开" ,required = true)
    private String appointPerson;

    @ApiModelProperty(value = "指派范围（部门id）多人之间用','隔开" ,required = true)
    private String appointDepart;

    //指派人id集合
    private Set<String> appointPersonList;

    private String userId;

    private String corpId;

}
