package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class ExamQueryDto {

    @ApiModelProperty(value = "试卷名",required = true)
    private String paperName;

    @ApiModelProperty(value = "考试状态 0待参加 1已完成 2已失效 3进行中 ",required = true)
    private String examType;

    @ApiModelProperty(value = "考试结果 0通过 1未通过",required = true)
    private String examResult;

    @ApiModelProperty(value = "考试分数起始",required = true)
    private String scoreStart;

    @ApiModelProperty(value = "考试分数截止",required = true)
    private String scoreEnd;

    @ApiModelProperty(value = "考试耗时起始",required = true)
    private String consumeTimeStart;

    @ApiModelProperty(value = "考试耗时截止",required = true)
    private String consumeTimeEnd;

    @ApiModelProperty(value = "开考时间起始",required = true)
    private String examTimeStart;

    @ApiModelProperty(value = "开考时间截止",required = true)
    private String examTimeEnd;

    @ApiModelProperty(value = "交卷时间起始",required = true)
    private String handInTimeStart;

    @ApiModelProperty(value = "交卷时间截止",required = true)
    private String handInTimeEnd;

    @ApiModelProperty(value = "试卷得分排序 0正序 1倒序",required = true)
    private String scoreSort;

    @ApiModelProperty(value = "开考时间排序 0正序 1倒序",required = true)
    private String examTimeSort;

    @ApiModelProperty(value = "交卷时间排序 0正序 1倒序",required = true)
    private String handInTimeSort;

    @ApiModelProperty(value = "企业id",required = true)
    private String corpId;

    @ApiModelProperty(value = "详情用户id",required = true)
    private String personId;
}
