package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.persistence.Transient;

@Data
public class LessonTrainAtBannerDTO {

    @ApiModelProperty(value = "课程名称",required = false)
    private String lessonName;

//    @ApiModelProperty(value = "发布状态（0：待发布 1：审核中 2：已发布 3：已驳回 4：已关闭）")
//    private String releaseState;

//    @ApiModelProperty(value = "创建人姓名")
//    @Transient
//    private String createByName;

    @ApiModelProperty(value = "课程类型（0：课程 1：培训）")
    @Length(min = 1,max = 1,message = "长度最小为1,最大为1")
    private String lessonType;

    private String userId;

    private String corpId;


}
