package org.rcisoft.business.breleasevalue.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class LessonValueSettingQueryDto {

    @ApiModelProperty(value = "课程、培训名")
    public String lessonName;

    @ApiModelProperty(value = "讲师名")
    public String lecturerName;

    @ApiModelProperty(value = "积分消耗起始值")
    public String valueConsumeStart;

    @ApiModelProperty(value = "积分消耗最大值")
    public String valueConsumeEnd;

    @ApiModelProperty(value = "积分获得起始值")
    public String valueGainStart;

    @ApiModelProperty(value = "积分获得最大值")
    public String valueGainEnd;

    @ApiModelProperty(value = "状态 0未发布 2已发布 4已关闭 (培训已发布后的状态===>)5培训未开始 6培训进行中 7培训已结束 ")
    public String status;

    @ApiModelProperty(value = "培训状态 0培训未开始 1培训进行中 2培训已结束 ")
    public String trainStatus;

    @ApiModelProperty(value = "0 课程  1培训")
    public String type;
}
