package org.rcisoft.business.breleasevalue.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UserValueResDto {
    @ApiModelProperty(value = "用户名")
    public String name;

    @ApiModelProperty(value = "部门id")
    public String dept;

    @ApiModelProperty(value = "当前积分起始")
    public String nowValueStart;

    @ApiModelProperty(value = "当前积分截止")
    public String nowValueEnd;

    @ApiModelProperty(value = "获取积分起始")
    public String gainValueStart;

    @ApiModelProperty(value = "获取积分截止")
    public String gainValueEnd;

    @ApiModelProperty(value = "当前积分排序 0正序 1 倒序")
    public String nowValueSort;

    @ApiModelProperty(value = "获取积分排序 0正序 1 倒序")
    public String gainValueSort;

    @ApiModelProperty(value = "企业id")
    public String corpId;

}
