package org.rcisoft.business.synchronizationtime.dao;

import org.apache.ibatis.annotations.Param;
import org.rcisoft.core.base.BaseMapper;
import org.rcisoft.business.synchronizationtime.entity.SynchronizationTime;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with  on 2019-10-10 20:04:19.
*/
@Repository
public interface SynchronizationTimeRepository extends BaseMapper<SynchronizationTime> {

    /**
    * 分页查询 synchronizationTime
    *
    */
    @Select("<script>select * from synchronization_time where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = #{delFlag} </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = #{flag} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<SynchronizationTime> querySynchronizationTimes(SynchronizationTime synchronizationTime);


    @Select("<script>select * from synchronization_time where 1=1 and business_id = #{id}"
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    SynchronizationTime getById(@Param("id") String id);

    @Select("UPDATE synchronization_time SET synchronization_time = #{synchronizationTime} WHERE business_id = #{businessId}")
    @ResultMap(value = "BaseResultMap" )
    void updateById(SynchronizationTime synchronizationTime);
}

