package org.rcisoft.common.util.feignDto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.core.annotation.Order;

import java.util.List;

@Data
public class GetSubUserIdsByDeptIdsReqDTO {

    @ApiModelProperty(value = "企业id", position = 1)
    @Order(1)
    private Integer corpId;

    @ApiModelProperty(value = "部门id集合(可选)", position = 2)
    @Order(3)
    private List<Long> deptIds;

}
