package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class FindLessonRecommendRspDTO {

    @ApiModelProperty(value = "主键")
    private String businessId;

    @ApiModelProperty(value = "被推荐对象类型（0：人 1：部门）")
    private String type;

    @ApiModelProperty(value = "被推荐 人/部门id")
    private String targetId;

    @ApiModelProperty(value = "被推荐 人/部门名")
    private String targetName;

    @ApiModelProperty(value = "被推荐 人/部门accountId")
    private String accountId;

    private String sort;

}
