package org.rcisoft.business.blesson.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

@Data
public class QuitLessonDTO {

    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @ApiModelProperty(value = "选课主键id")
    @NotNull
    private String businessId;

    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    @ApiModelProperty(value = "课程id")
    @NotNull
    private String lessonId;

    private String cropId;

}
