package org.rcisoft.business.blesson.entity;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.validator.constraints.Length;
import org.rcisoft.core.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import javax.validation.constraints.NotBlank;

@Entity
@Table(name = "b_lesson_label")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BLessonLabel  extends IdEntity<BLessonLabel> {
    @NotBlank
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String labelId;
    /*课程名称*/
    @NotBlank
    @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
    private String lessonId;

    @NotBlank
    private String sort;

}
