package org.rcisoft.business.breleasevalue.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ReleaseValueResDto {

    @ApiModelProperty(value = "分组标题")
    public String title;

    @ApiModelProperty(value = "人员姓名")
    public String name;

    @ApiModelProperty(value = "课程奖励起始")
    public String lessonValueStart;

    @ApiModelProperty(value = "课程奖励截止")
    public String lessonValueEnd;

    @ApiModelProperty(value = "培训奖励起始")
    public String trainValueStart;

    @ApiModelProperty(value = "培训奖励截止")
    public String trainValueEnd;

    @ApiModelProperty(value = "课程时间排序 0正序 1倒序")
    public String lessonSort;

    @ApiModelProperty(value = "培训时间排序 0正序 1倒序")
    public String trainSort;

    @ApiModelProperty(value = "更新时间排序 0正序 1倒序")
    public String timeSort;

    @ApiModelProperty(value = "企业id")
    public String corpId;

    @ApiModelProperty(value = "不用传")
    public String id;

}
