package org.rcisoft.common.util.outClient;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.common.util.feignClient.FileFeignClient;
import org.rcisoft.common.util.feignDto.MTOssRspDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

/**
 * 消息通知接口调用
 * @author David
 */
@Slf4j
@Component
public class MTOSSApiRequestClient {


//    @Autowired
    private FileFeignClient fileFeignClient;

    public MTOssRspDTO upload(MultipartFile file) {
        return fileFeignClient.uploadFile(file,2,2,"app",(long)1).getData();
    }

}
